# Class IsosurfaceRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.MeshRenderer
org.jmol.rendersurface.IsosurfaceRenderer

Direct Known Subclasses:
  `ContactRenderer, LcaoCartoonRenderer, MolecularOrbitalRenderer, PmeshRenderer`

public class IsosurfaceRenderer extends MeshRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected short`
`backgroundColix`
`protected boolean`
`iHideBackground`
`protected IsosurfaceMesh`
`imesh`
`protected boolean`
`isBicolorMap`
`protected int`
`nError`
`protected float[]`
`vertexValues`

### Fields inherited from class MeshRenderer

`allowDashed, antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`IsosurfaceRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`render()`
`protected void`
`render2(boolean isExport)`
Overridden in DrawRenderer and IsosurfaceRenderer
`protected void`
`renderInfo()`
`protected boolean`
`renderIso()`
`protected void`
`renderPoints()`
`protected void`
`renderTriangles(boolean fill, boolean iShowTriangles, boolean isExport)`

### Methods inherited from class MeshRenderer

`checkFront, drawEdge, drawTriangle, exportSurface, isPolygonDisplayable, isVisibleNormix, render2b, renderMesh2, setColix`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iHideBackground

protected boolean iHideBackground

### isBicolorMap

protected boolean isBicolorMap

### backgroundColix

protected short backgroundColix

### nError

protected int nError

### vertexValues

protected float[] vertexValues

### imesh

protected IsosurfaceMesh imesh

## Constructor Details

### IsosurfaceRenderer

public IsosurfaceRenderer()

## Method Details

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`

### renderIso

protected boolean renderIso()

### renderInfo

protected void renderInfo()

### render2

protected void render2(boolean isExport)
Description copied from class: `MeshRenderer`
Overridden in DrawRenderer and IsosurfaceRenderer

Overrides:
  `render2` in class `MeshRenderer`
Parameters:
  `isExport` -

### renderPoints

protected void renderPoints()

Overrides:
  `renderPoints` in class `MeshRenderer`

### renderTriangles

protected void renderTriangles(boolean fill, boolean iShowTriangles, boolean isExport)

Overrides:
  `renderTriangles` in class `MeshRenderer`